VoiceReports

Get calls dispositions reports

Fetch calls dispositions reports based on your inbound and outbound calls data. Dispositions report represents the count of calls during given time period and the difference in the counts compared to the previous such period. Previous period is the time range of the same length, that ends right before the current time period starts. Current period is determined by time period parameters. For example, if current period is a week, the previous period is the previous week. If the current period is a month (30 days), the previous period is the last 30 days before that month begins. For calls dispositions report, time period parameters filter by calldate/start_time field. If no time filtration is provided in the request, by default report will be returned for the current month.

GET
/api/v1/voice/reports/calls/dispositions

Query Parameters

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/reports/calls/dispositions" \  -H "Authorization: string"
{
  "completed_calls_count": 0,
  "delta_completed_calls_percent": 0,
  "delta_failed_calls_percent": 0,
  "delta_not_answered_calls_percent": 0,
  "delta_total_calls_percent": 0,
  "failed_calls_count": 0,
  "not_answered_calls_count": 0,
  "total_calls_count": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.